Opened 3 years ago

Closed 3 years ago

#24013 closed enhancement (fixed)

Improve "Outdated data!" info

Reported by: nusenu Owned by: metrics-team
Priority: Medium Milestone:
Component: Metrics/Relay Search Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

I really like it, thanks for adding it!

Here a few points based on the current message:

Outdated data!

Onionoo seems to serve outdated data :( Last update was: Wed Oct 25 2017 04:44:20 GMT+0000 (UTC)
  • We know what "onionoo" is but the average atlas user might ask "What is onionoo and why should I care if it provides outdated data?"

how about something like

Outdated data!
Atlas currently displays Tor network data as of <timestamp> (x hours old).
(This should be a temporary problem, the responsible team has been notified.)

+actually setup checks to notify Karsten when onionoo is behind by >4 hours.

  • currently displayed timestamp: "Last update was: Wed Oct 25 2017 04:44:20 GMT+0000 (UTC)"
    "relays_published":"2017-10-25 04:00:00",
    "bridges_published":"2017-10-25 03:41:35",
    

Instead of displaying when it was last updated, show the relays published or bridges published timestamp (whatever is newer).

Child Tickets

Attachments (1)

Screen Shot 2017-11-21 at 17.12.08.png (69.2 KB) - added by irl 3 years ago.
Screenshot of new warning

Download all attachments as: .zip

Change History (2)

Changed 3 years ago by irl

Screenshot of new warning

comment:1 Changed 3 years ago by irl

Resolution: fixed
Status: newclosed

We don't expect this to happen that often anymore, and are working on new monitoring systems to keep an eye on Onionoo. I have updated the warning message to indicate what Onionoo is and you can see this in the screenshot above.

This is fixed in 753b0b5.

Note: See TracTickets for help on using tickets.